Class::MOP::Object(3)

NAME
Class::MOP::Object - Base class for metaclasses

DESCRIPTION
This class is a very minimal base class for metaclasses.

METHODS
This class provides a few methods which are useful in all metaclasses.

Class::MOP::???->meta
    This returns a Class::MOP::Class object.

$metaobject->dump($max_depth)
    This method uses Data::Dumper to dump the object. You can pass an optional maximum depth, which will set $Data::Dumper::Maxdepth. The default maximum depth is 1.